<template lang='pug'>
  section.space-bg
    .container
      .wrapper
        BaseText.title.space-mdl(size='text-bg' weight='weight600') Рынок комплектующих
        .container-flex
          MarketDetail(:detail = 'details[0]')
          MarketDetail(:detail = 'details[1]')
          MarketDetail(:detail = 'details[2]')
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'

import { ProductionModule } from '../../store/modules/production/index'
import MarketDetail from './MarketDetail.vue'
import BaseText from '../BaseText.vue'

@Component({
  components: {
    MarketDetail,
    BaseText
  }
})
export default class Market extends Vue {
  get details () {
    return ProductionModule.details
  }
}
</script>

<style lang='scss' scoped>
@import '../../assets/styles/config/variables.scss';

.wrapper {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  column-gap: 24px;
}

.title {
  grid-column: 2 / 6;
}

.container-flex {
  width: 755px;
  grid-column: 2 / 7;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
</style>
